## r-cran-snakecase 0.9.2

=== DESCRIPTION ===
Package: snakecase
Version: 0.9.2
Date: 2018-08-14
Title: Convert Strings into any Case
Description: A consistent, flexible and easy to use tool to parse and convert strings into cases like snake or camel among others.
Authors@R: c(
    person("Malte", "Grosser", , "malte.grosser@gmail.com", role = c("aut", "cre")))
Maintainer: Malte Grosser <malte.grosser@gmail.com>
Depends: R (>= 3.1)
Imports: stringr, stringi
Suggests: testthat, covr, tibble, purrrlyr, knitr, rmarkdown
URL: https://github.com/Tazinho/snakecase
BugReports: https://github.com/Tazinho/snakecase/issues
Encoding: UTF-8
License: GPL-3
RoxygenNote: 6.1.0
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-08-14 14:38:43 UTC; MGO
Author: Malte Grosser [aut, cre]
Repository: CRAN
Date/Publication: 2018-08-14 15:00:04 UTC

=== debian/changelog ===
r-cran-snakecase (0.9.2-2) unstable; urgency=medium

  * Test Depends: r-cran-purrrlyr

 -- Andreas Tille <tille@debian.org>  Wed, 19 Sep 2018 11:15:15 +0200

r-cran-snakecase (0.9.2-1) unstable; urgency=medium

  * Initial release (closes: #899995)

 -- Andreas Tille <tille@debian.org>  Sun, 09 Sep 2018 22:16:05 +0200

=== debian/control ===
Source: r-cran-snakecase
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-stringr,
               r-cran-stringi
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-snakecase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-snakecase.git
Homepage: https://cran.r-project.org/package=snakecase

Package: r-cran-snakecase
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: convert strings into any case for GNU R
 This package provides a consistent, flexible and easy to use tool
 to parse and convert strings into cases like snake or camel among
 others.

## r-cran-snakecase 0.11.0

=== DESCRIPTION ===
Package: snakecase
Version: 0.11.0
Date: 2019-05-25
Title: Convert Strings into any Case
Description: A consistent, flexible and easy to use tool to parse and convert strings into cases like snake or camel among others.
Authors@R: c(
    person("Malte", "Grosser", , "malte.grosser@gmail.com", role = c("aut", "cre")))
Maintainer: Malte Grosser <malte.grosser@gmail.com>
Depends: R (>= 3.2)
Imports: stringr, stringi
Suggests: testthat, covr, tibble, purrrlyr, knitr, rmarkdown, magrittr
URL: https://github.com/Tazinho/snakecase
BugReports: https://github.com/Tazinho/snakecase/issues
Encoding: UTF-8
License: GPL-3
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-05-25 21:16:42 UTC; MGO
Author: Malte Grosser [aut, cre]
Repository: CRAN
Date/Publication: 2019-05-25 22:50:03 UTC

=== debian/changelog ===
r-cran-snakecase (0.11.0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:48:36 +0000

r-cran-snakecase (0.11.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 08:51:01 +0200

r-cran-snakecase (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 07:28:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-stringr,
                r-cran-stringi
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-snakecase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-snakecase.git
 Homepage: https://cran.r-project.org/package=snakecase
+Rules-Requires-Root: no
 
 Package: r-cran-snakecase
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/snakecase_([-\d.]*)\.tar\.gz

## r-cran-snakecase 0.11.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: snakecase
-Version: 0.11.0
-Date: 2019-05-25
+Version: 0.11.1
+Date: 2023-08-27
 Title: Convert Strings into any Case
 Description: A consistent, flexible and easy to use tool to parse and convert strings into cases like snake or camel among others.
 Authors@R: c(
@@ -16,7 +16,7 @@
 RoxygenNote: 6.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-05-25 21:16:42 UTC; MGO
+Packaged: 2023-08-27 20:30:20 UTC; malte
 Author: Malte Grosser [aut, cre]
 Repository: CRAN
-Date/Publication: 2019-05-25 22:50:03 UTC
+Date/Publication: 2023-08-27 22:50:09 UTC

=== debian/changelog ===
r-cran-snakecase (0.11.1-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  TODO: Test suite issue reported here
       https://github.com/Tazinho/snakecase/issues/196

  [ Charles Plessy ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 05 Feb 2025 08:49:49 +0900

=== debian/control ===
Source: r-cran-snakecase
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-snakecase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-snakecase.git
Homepage: https://cran.r-project.org/package=snakecase
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-stringr,
               r-cran-stringi
Testsuite: autopkgtest-pkg-r

Package: r-cran-snakecase
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: convert strings into any case for GNU R
 This package provides a consistent, flexible and easy to use tool
 to parse and convert strings into cases like snake or camel among
 others.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-covr,
        r-cran-tibble,
        r-cran-purrrlyr,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-magrittr
Restrictions: allow-stderr
